//
// not in use
//
#include<stdio.h>
#include<windows.h>
#include<vfw.h>

#define _KFREQ( x ) ( x == ICCOMPRESS_KEYFRAME )

static COMPVARS g_compvars;
static BITMAPINFO g_bmiIn, g_bmiOut, g_bmiOutP ;
static LONG g_lKeyRate = 0;
static LONG g_lKeyRateCounter = 0;
static unsigned char *g_lpBuf, *g_lpBufP;
static ICINFO g_icinfo;
static LONG g_lMaxFrameSize = 0, g_lFrameNum = 0;
static LONG g_lSlopSpace = 500;
static unsigned char *g_lpState;  /* compressor state buffer */
static DWORD g_cbState;	/* sizeof compressor state buffer */



void
debug_printf_compvars( COMPVARS *lpcompvars )
{
	printf( "\ncompvars.cbSize = %ld", lpcompvars->cbSize );
	printf( "\ncompvars.cbState = %ld", lpcompvars->cbState );
	printf( "\ncompvars.lpState = %ld", (DWORD) lpcompvars->lpState );
	printf( "\ncompvars.dwFlags = 0x%0X", lpcompvars->dwFlags );
	printf( "\ncompvars.hic = %ld", lpcompvars->hic );
	printf( "\ncompvars.fccType = %ld", lpcompvars->fccType );
	printf( "\ncompvars.fccHandler = %ld", lpcompvars->fccHandler );
	printf( "\ncompvars.lpbiIn = %ld", (DWORD) lpcompvars->lpbiIn );
	printf( "\ncompvars.lpbiOut = %ld", (DWORD) lpcompvars->lpbiOut );
	printf( "\ncompvars.lpBitsOut = %ld", (DWORD) lpcompvars->lpBitsOut);
	printf( "\ncompvars.lpBitsPrev = %ld", (DWORD) lpcompvars->lpBitsPrev );
	printf( "\ncompvars.lFrame = %ld", lpcompvars->lFrame );
	printf( "\ncompvars.lKey = %ld", lpcompvars->lKey );
	printf( "\ncompvars.lDataRate = %ld", lpcompvars->lDataRate );
	printf( "\ncompvars.lQ = %ld", lpcompvars->lQ );
	printf( "\ncompvars.lKeyCount = %ld", lpcompvars->lKeyCount );
}

/* initialiaze video compresssor, this code is based on Avery Lee's VirtualDub
 */
BOOL myICSeqCompressFrameStart( PCOMPVARS pc, LPBITMAPINFO lpbiIn )
{
	HIC hic ;
	DWORD dwrc; /* dword return code */
	long lMaxSize; /* temp variable */

	/* capture the parameters */
	g_compvars = (*pc);
	g_bmiIn = (*lpbiIn);
	g_bmiOut = (*(g_compvars.lpbiOut));
	hic = g_compvars.hic;


	lMaxSize = ICCompressGetSize( hic, &g_bmiIn.bmiHeader, &g_bmiOut.bmiHeader );
	g_lpBuf = ( unsigned char * )malloc( lMaxSize );
	g_lpBufP = ( unsigned char *)malloc( g_bmiIn.bmiHeader.biSizeImage );
	if ( g_lpBuf == NULL || g_lpBufP == NULL )
	{
		fprintf( stderr, "\nmyICSeqCompressFrameStart() : Couldn't allocate buffer");
		exit( ERROR );
	}

	/* 1) get compressor information, like what fields are valid */
	dwrc = ICGetInfo( hic, &g_icinfo, sizeof(g_icinfo) );
	if ( !dwrc )
	{
		fprintf( stderr, "\nmyICSeqCompressFrameStart() : ICGetInfo() failed.");
		exit( ERROR );
	}
	
	// Analyze compressor.
/*	if ( g_icinfo.dwFlags & VIDCF_TEMPORAL )
	{
		if ( !( g_icinfo.dwFlags & VIDCF_FASTTEMPORALC) )
		{
			// Allocate backbuffer
			g_lpBufP = ( unsigned char *)malloc( g_bmiIn.bmiHeader.biSizeImage );

			if ( g_lpBufP == NULL )
			{
				fprintf( stderr, "\nmyICSeqCompressFrameStart() : Couldn't allocate backbuffer");
				exit( ERROR );
			}
		}
	}*/

	if ( !(g_icinfo.dwFlags & VIDCF_QUALITY) )
		g_compvars.lQ = 0; /* disable Quality parameter */

	// correct Microsoft MPEG-4's bogus keyframe-rate report
	// setting lKeyRate = 0 disables MPEG2AVI's keyrate regulator
	if ( g_compvars.lKey == 9999 )
		g_lKeyRate = 0; // disable key-frame regulator
	else
		g_lKeyRate = g_compvars.lKey;

	/* 2) send message to the compressor */
	//ICSendMessage( hic, ICM_COMPRESS_FRAMES_INFO, (WPARAM)
	//	&g_iccompressframes, (DWORD) sizeof( g_iccompressframes ) );


	
	/* 2) prepare compressor for video sequence compression */
	/* hic, input BITMAPINFO, output BITMAPINFO */
	
	// first reset the Compressor, necessary for Microsoft MPEG-4!
	// otherwise, the MPEG-4 codec's bitrate is too low
	dwrc = ICSetState( hic, NULL, g_cbState );  
	dwrc = ICCompressBegin(hic, &g_bmiIn, &g_bmiOut );
	if ( dwrc != ICERR_OK )
	{
		fprintf( stderr, "\nmyICSeqCompressFrameStart() : ICCompressBegin() failed.");
		if ( dwrc == ICERR_BADFORMAT )
			fprintf( stderr, "  Bad input or output format.");
		exit( ERROR );
	}
	
	/* record ICM's state */
	g_cbState = ICGetStateSize( hic );
	g_lpState = (unsigned char *)malloc( g_cbState );
	if ( g_lpState == NULL )
	{
		fprintf( stderr, "\nmyICSeqCompressFrameStart() : malloc() failed.");
		exit( ERROR );
	}
	ICGetState( hic, g_lpState, g_cbState );

	/* initialize counters */
	g_lKeyRateCounter = 0; /* initialize keyratecounter */
	g_lFrameNum = 0;

	if (g_compvars.lDataRate && ( g_icinfo.dwFlags & VIDCF_CRUNCH))
		//g_lMaxFrameSize = MulDiv( g_compvars.lDataRate, lUsPerFrame, 1000000);
		g_lMaxFrameSize = MulDiv( g_compvars.lDataRate, 33366, 1000000); //fix
	else
		g_lMaxFrameSize = 0;

	g_bmiOutP = g_bmiOut;

	debug_printf_compvars( &g_compvars );
	return TRUE;
}


LPVOID myICSeqCompressFrame( COMPVARS *lpcompvars, UINT uiFlags, 
LPVOID lpBits,BOOL *pfKey, LONG *plSize )
{
	static DWORD dwChunkId;
	DWORD dwFlags=0, dwFlagsIn = ICCOMPRESS_KEYFRAME ;
	DWORD dwrc;
	DWORD sizeImage;
	HIC hic;
	unsigned char *lptemp = NULL;
	long lAllowableFrameSize=0x7FFFFFFF;	// yes, this is illegal according
										// to the docs (see below)
	hic = g_compvars.hic;

	// Figure out if we should force a keyframe.  If we don't have any
	// keyframe interval, force only the first frame.  Otherwise, make
	// sure that the key interval is lKeyRate or less.  We count from
	// the last emitted keyframe, since the compressor can opt to
	// make keyframes on its own.

	if ( g_lKeyRate == 0 ) /* is keyframe-rate active? */
	{	/* not active, let the codec manage the keyframe business */
		if ( g_lFrameNum == 0 )
			dwFlagsIn = ICCOMPRESS_KEYFRAME ;  /* first frame, request KEYF */
		else 
			dwFlagsIn = 0; /* don't request KEYF */
	}
	else 
	{	/* let MPEG2AVI manage the keyframe business */
		if ( g_lKeyRateCounter > 0 )
		{
			--g_lKeyRateCounter;
			dwFlagsIn = 0;
		}
		else
		{
			dwFlagsIn = ICCOMPRESS_KEYFRAME; /* request a keyframe */
			g_lKeyRateCounter = g_lKeyRate; /* reset counter */
			printf("\nrequest KEYFRAME! ");
		}
	}

	// Figure out how much space to give the compressor, if we are using
	// data rate stricting.  If the compressor takes up less than quota
	// on a frame, save the space for later frames.  If the compressor
	// uses too much, reduce the quota for successive frames, but do not
	// reduce below half datarate.

	if (g_lMaxFrameSize)
	{
		lAllowableFrameSize = g_lMaxFrameSize + (g_lSlopSpace>>2);

		if (lAllowableFrameSize < (g_lMaxFrameSize>>1))
			lAllowableFrameSize = g_lMaxFrameSize>>1;
		printf(" lAllow =%ld\n", lAllowableFrameSize );
	}

	// A couple of notes:
	//
	//	o  ICSeqCompressFrame() illegally passes 1 as dwFlagsIn when it
	//	   wants a keyframe, when it should be passing AVIIF_KEYFRAME
	//	   (0x10).
	//
	//	o  ICSeqCompressFrame() passes 0x7FFFFFFF when data rate control
	//	   is inactive.  Docs say 0.  We pass 0x7FFFFFFF here to avoid
	//	   a bug in the Indeo 5 QC driver, which page faults if
	//	   keyframe interval=0 and max frame size = 0.

	sizeImage = g_bmiOut.bmiHeader.biSizeImage;

	if ( !ICSetState( hic, g_lpState, g_cbState ) )
	{
		fprintf( stderr, "\nICSetState() : failed!" );
		(*pfKey) = 0;
		(*plSize)= 0;
		return NULL;
	}
	dwrc = ICCompress(hic, dwFlagsIn,
			(LPBITMAPINFOHEADER)&g_bmiOut, g_lpBuf,
			(LPBITMAPINFOHEADER)&g_bmiIn, lpBits,
			&dwChunkId,
			&dwFlags,
			g_lFrameNum,
			lAllowableFrameSize,
			g_compvars.lQ,
			(LPBITMAPINFOHEADER) &g_bmiOutP,
			(_KFREQ( dwFlagsIn ) ? NULL : g_lpBufP )); /* previous buffer */
	/*dwrc = ICCompress(hic, dwFlagsIn,
			(LPBITMAPINFOHEADER)&g_bmiOut, g_lpBuf,
			(LPBITMAPINFOHEADER)&g_bmiIn, lpBits,
			&dwChunkId,
			&dwFlags,
			g_lFrameNum,
			lAllowableFrameSize,
			g_compvars.lQ,
			(LPBITMAPINFOHEADER) &g_bmiOutP,
			(_KFREQ( dwFlagsIn ) ? NULL : g_lpBufP ));*/ /* previous buffer */

	ICGetState( hic, g_lpState, g_cbState );

	++g_lFrameNum;

	/* set frame size var plSize */
	*plSize = g_bmiOut.bmiHeader.biSizeImage;
	g_bmiOut.bmiHeader.biSizeImage = sizeImage;  // reset to original value

	if ( dwrc != ICERR_OK)
	{
		//todo
		;
		//throw MyICError("Video compression", res);
	}

	// Update quota.

	if (g_lMaxFrameSize) {
		g_lSlopSpace += g_lMaxFrameSize - *plSize;

		//_RPT3(0,"Compression: allowed %d, actual %d, slop %+d\n", lAllowableFrameSize, *plSize, g_lSlopSpace);
	}

	// Was it a keyframe?
	if (dwFlags & AVIIF_KEYFRAME)
	{
		(*pfKey) = TRUE ;
		g_lKeyRateCounter = g_lKeyRate;  /* reset our keyframe counter */
	} 
	else 
		(*pfKey) = FALSE;

	return g_lpBuf;
}

