/*
 * MPEG2AVI
 * --------
 *   v0.16B31 added comments to each structure member
 *   v0.15B5 initial release of yuv2yuv() [yuv2yuv.c]
 */

#ifndef _YUV2YUV_H
#define _YUV2YUV_H 1
/* for yuv2yuv.c */
typedef struct ImageOpBlock_type
{
	unsigned char *src1; // caller supplied source bitmap, y[]
	unsigned char *src2; // caller supplied source bitmap, u[]
	unsigned char *src3; // caller supplied source bitmap, v[]
	unsigned char *dst1; // caller supplied storage, y[]
	unsigned char *dst2; // caller supplied storage, u[]
	unsigned char *dst3; // caller supplied storage, v[]
	RECT srcRect;		// source rectangle 
	RECT dstRect;		// destination rectangle 
	unsigned char *outdst1; // pointer to output y[] bitmap, set by yuy2yuv 
	unsigned char *outdst2; // pointer to output u[] bitmap, set by yuy2yuv 
	unsigned char *outdst3; // pointer to output v[] bitmap, set by yuy2yuv 
	DWORD dwSrcFormat; // source chroma format type (420/422/444)
	DWORD dwDstFormat; // destination chroma format type (420/422/444)
} tImageOpBlock;

#endif